Bug 1543883 - [UPGRADE] Upgrade from 9->10 failed: update_os_net_config: command not found
Summary: [UPGRADE] Upgrade from 9->10 failed: update_os_net_config: command not found
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-tripleo-heat-templates
Version: 10.0 (Newton)
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: z8
: 10.0 (Newton)
Assignee: mathieu bultel
QA Contact: Yurii Prokulevych
URL:
Whiteboard:
Keywords: Regression, Triaged, ZStream
: 1559983 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-02-09 13:25 UTC by Yurii Prokulevych
Modified: 2018-05-17 15:42 UTC (History)
10 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2018-05-17 15:40:56 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:1593 None None None 2018-05-17 15:42 UTC
OpenStack gerrit 542816 None None None 2018-02-09 13:25 UTC

Description Yurii Prokulevych 2018-02-09 13:25:53 UTC
Description of problem:
-----------------------
Upgrade from RHOS-9 to RHOS-10 failed on Ceph upgrade:
...
Stopping Ceph osd.1 on ceph-0...kill 18509...kill 18509...done
/root/tripleo_upgrade_node.sh: line 26: update_os_net_config: command not found

The problem seems to be here - https://github.com/openstack/tripleo-heat-templates/blob/stable/newton/extraconfig/tasks/major_upgrade_ceph_storage.sh#L11-L13

Steps to Reproduce:
-------------------
1. Perform major upgrade from RHOS-9 latest to RHOS-10

Actual results:
---------------
Upgrade fails

Comment 3 Paul Needle 2018-03-23 16:30:06 UTC
*** Bug 1559983 has been marked as a duplicate of this bug. ***

Comment 21 errata-xmlrpc 2018-05-17 15:40:56 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:1593


Note You need to log in before you can comment on or make changes to this bug.